2.11.10  
* fix: changed datatype on order_in and order_details columns of orders table from TEXT to MEDIUMTEXT to allow for very very large orders  
* fix: order page still allowed checkout even if minimum order was not reached (if only one gateway enabled)  
* fix: bulkedit was broken since 2.11.8.14 for status / comments / author  
* fix: currency symbols in order info under cart not moving when set to be displayed on right  
* fix: wrong (pickup) message shown when minimum order not reached for delivery  
* tweak: some admin css tweaks  
* tweak: capture user agent, remote address and referrer in db as user_data  
* tweak: order_update timstamp in db now set according to WP timezone set (instead of - perhaps incorrectly set - php timezone)  
* tweak: cart does not get unset anymore when there's a mail() error  
* tweak: some minor css tweaks (added a bit of styling to mail() error output)  
* tweak: eliminated some more possible php notices  
* added: debug option to enable error reporting in ajax if necessary   
* added: option to show failed orders in order history (enable in wppizza->settings => miscellaneous)  
28th May 2015  


2.11.9  
* updated: chosen js library  
* updated: timepicker js library    
* updated: jquery validation js library    
* updated: flot js library    
19th May 2015  


2.11.8.18  
* fix/security: update pretty photo library to v3.1.6  
19th May 2015  

2.11.8.17  
* fix: abs path error in grid css  
19th May 2015  


2.11.8.16  
* added: [currently experimental] grid based layout option  
* added: wppizza_is_current_businessday function to determine if a timestamp is between open and closing times of current business day  
* tweak: 'key' to passed customer detail email variables  
19th May 2015  

2.11.8.15  
* internal: updated EDD updater (should make some external gateway update notifications more reliable)   
14th May 2015  


2.11.8.14  
* added: class (WPPIZZA_USER_DETAILS) to get order details for a specific logged in user (as yet unused)  
* added: filter for gateways selection (in frontend) to allow to conditionally disable perhaps   
* added: sortorder of menu items option (wppizza->layout)  
* tweak: added prices to list of menu items (in admin)  
* internal: added updated EDD class  
* internal: also return order_date when using wppizza_gateway_get_order_details function  
* internal/security: although the recently flagged/widespread XSS vulnerability should not be an issue in any wppizza version, "add_query_arg" functions are now being escaped nevertheless  
11th May 2015  


2.11.8.13  
* tweak: clear session data when updating plugin to eliminate possible php notices or errors for already initialized sessions   
* tweak: changed to a language agnostic menu item placeholder image  
* tweak: log some possible ajax error to console, instead of alerting them  
* tweak: order history polling failing silently for up to 5 times before throwing alert  
* tweak: added some missing "!defined( 'ABSPATH' )" sanity checks (just to be doubly safe. though should not really be any issue not having it as in previous versions)  
* added: [wppizza type="additives"] shortcode to display all additives somewhere if required. (no styling applied , but plenty of css classes available) 
30th April 2015  


2.11.8.12  
* internal: also return transaction_details when using wppizza_gateway_get_order_details function  
* tweak: set css max-width on ctips input field  
* tweak: do not submit form when hitting enter in tips field, but apply tip instead    
15th April 2015  

2.11.8.11  
* fix: removed some more possible php notices under certain circumstances  
* fix: admin print order history -> summary prices error when hiding decimals (hide decimals function erroneously applied 2x)  
12th April 2015  

2.11.8.10  
* added: option to not install default menu items, categories and/or pages  by defining WPPIZZA_NO_DEFAULTS (no menu items, categories, pages), WPPIZZA_NO_DEFAULT_ITEMS (no menu items, categories) and/or WPPIZZA_NO_DEFAULT_PAGES (no pages) constants in wp-config.php  
* added: more filter hooks in cart in various places  
* fix: unclosed div element in wppizza-order.php  
* fix: removed some more possible php notices under certain circumstances  
* tweak: some minor css tweaks in cart  
* tweak: some minor js tweaks (plus adding id to wrapper span) when using add_item_to_cart_button shortcode  
* tweak: added spans/classes around item name in cart and on order page    
* tweak: gateways using overlays instead of redirects will now also save user session data entered in order page  
7th April 2015  

2.11.8.9  
* fix : erroneously used "minimum order for delivery" (as opposed to "minimum order for self-pickup") value when set to "No delivery offered / pickup only"    
* tweak: capture/display (hopefully) more meaningful mail errors when using mail() or wp_mail()  
28th March 2015  

2.11.8.8  
* fix : fixed bug introduced in 2.11.7.8 that stopped button to redirect to order page   
25th March 2015  

2.11.8.7  
* tweak : added distinct window.location.relaod(true) to scripts where appropriate  
* tweak : very minor cart css adjustments  
* tweak : added filter after cart icons  
25th March 2015  

2.11.8.6  
* tweak : customer session data got unnecessarily re-saved every time when switching from delivery to self-pickup even if not on order page   
* added: make formatted price output filterable (wppizza_filter_output_format_price)  
19th March 2015  

2.11.8.5  
* added : further options for minicart (paddings, viewcart button etc)  
17th March 2015  

2.11.8.4  
* fix: [admin print order] -> added missing "doctype=" to meta tag, plus a couple of minor tweaks to now also pass w3c validation.  
14th March 2015  

2.11.8.3  
* fix: [html email template] -> added missing "doctype=" to meta tag, plus a couple of minor tweaks to now also pass w3c validation.  
14th March 2015  

2.11.8.2  
* fix: when set to "prices entered include tax" , tax was not always calculated accurately in some non-english languages and latest language packs  
12th March 2015  

2.11.8.1  
* tweak: option to enable minicart/small cart only for a set maximum bowser size  
* fix: minicart/small cart display did not always behave accurately on page load  
11th March 2015  

2.11.8  
* multisite (parent site only - order history print): allow header of "print order" to use child sites blogname instead of parent site's name [wppizza->settings]. only applicable if displaying all orders of all sites in order history.  
* multisite (parent site only - order history print): allow display of site name *where order was made* .only applicable if displaying all orders of all sites in order history and header is set to show info of parent site.  
* added: automatically scroll to missing required input fields (if not already in view) on order and confirmation pages  
* added: automatically scroll to top on thank you page if required  
* added: option to dynamically add a minicart to top of page if main cart is not in view (enable in widget or per shortcode attribute minicart=1)  
* tweak: minor css adjustments in cart  
* tweak: wrapped customr details in html emails into their own table tag to not affect td widths in other elements    
10th March 2015  


2.11.7.13  
* added: more currencies / alternative currency displays  
* added: filter to currencies  
* fix: entities in item sizes were not decoded in plaintext emails   
1st March 2015  

2.11.7.12  
* added: optionally set order history polling to be active on page load (and allow timer to be other than 30 secs as default). [wppizza->settings : miscellaneous]  
* tweak: some cart css tweaks for more theme compatibility  
* added [internal]: additional methods in WPPIZZA_ORDER_DETAILS class (wppizza.order.details.inc.php)  
19th February 2015  

2.11.7.11  
* fix: admin order history - accidentally inverted 2 variables in  wppizza.order.details.inc.php  
13th February 2015  


2.11.7.10
* multisite: minor cosmetics error introduced in 2.11.7.9 (wppizza->settings -> multisite showed description for non available fields when not in parent site)  
13th February 2015  

 
2.11.7.9 
* internal: added more methods to WPPIZZA_ORDER_DETAILS to get variables/keys without needing an orderid  
* multisite: "cart per site" (wppizza->settings) was only displayed for parent site when it should have been available for all sites  
13th February 2015  


2.11.7.8  
* fix : eliminated PHP Notice:  Undefined index: gateway-selected  
* tweak: moved "empty order table" and "delete wppizza posts and categories" to wppizza->tools allowing it to be used independently of each other  
* added: allow menu items - added to order page via shortcodes for example (eg upsells) - to be added to order, reloading page if necessary  
10th February 2015  
  
2.11.7.7 
* fix: stopped iOS (iPhone, iPad etc) from clicking/adding things when scrolling  
4th February 2015  
  
2.11.7.6 
MINOR UPDATES  
* tweak: added experimantal js (for development purposes only) - off by default  
* added: a couple of filters for admin print order template (as per user request)  
2nd February 2015  

2.11.7.5  
MINOR UPDATES  
* tweak: show some more system info variables (admin tools)  
* added: a couple of action hooks at end of email templates (as per user request)  
2nd February 2015  


2.11.7.4  
* WPML: admin order settings : make sure original order page settings id gets used when translation does not exist (mainly for compatibility reasons with other non WPML plugins)   
* WPML: some more method existance checking (namely "switch_lang") to perhaps get around some compatibility issues between WPML and other translation plugins (although non WPML are typically not really supported by the plugin, but worth the effort in a couple of places perhaps)  
* internal: wppizza->tools : make sure wppizza vars shown are coming directly from db before having had the chance of being filtered somewhere   
* tweak: show admin order history on load without having to click button  
* tweak: option to set admin max order history results to other than 20   
* added: more filters added to admin order history as well as passing order status to filters  
31st January 2015  


2.11.7.3  
* WPML: eliminated some possible - legacy - phpnotices regarding additives  
* added: option to always load all css/js on all pages (to deal with certain layouts that do not pass along page id)  
19th January 2015  

2.11.7.2  
* multisite|internal: store and use blogid per item in session too for use if/when appropriate   
18th January 2015  

2.11.7.1  
* fixed (possible) session handling error introduced in v 2.11.7  
15th January 2015  

2.11.7  
* tweak: split admin global settings into sections  
* tweak: added general wppizza-optm class to opening times output spans  
* tweak: more meaningful filenames on reports export 
* added: wrapper function wpizzaOpeningtimes() if wppizza options are not available (in multisite blogloop for example)  
* multisite: remove multisite settings for single installs  
* multisite: allow reporting for all subsites (in parent site only)  
* multisite: allow order history for all subsites (in parent site only)  
* multisite: order history print adds sitename for easier identification (in parent site only)   
15th January 2015  


2.11.6.3  
* tweak: order history print also now outputting categories (if enabled in layout)  
* tweak: order history print now using Arial as default font  
* minor tidyup in places   
12th January 2015  

2.11.6.2
* tweak: order history printing template (also now applying category sort order if set in wppizza->layout : Group, sort and display menu items by category) 
8th January 2015  

2.11.6.1
* tweak: order history printing template (slight css changes and more heavily commented)  
8th January 2015  

2.11.6
* added: print order template (admin order history) to replace current way orders are printed   
* added: filter to totals shortcode output (wppizza_filter_shortcode_totals) to be able to selectively remove/add elements  
* internal: added/updated separate class to deal with order values more efficiently (to be able to replace somewhat convoluted coding in other parts of the plugin in due course / bit by bit)  
7th January 2015  

2.11.5.10
* eliminated some php notices (when using an invalid shortcodes)  
* added: simplified wpizzaShopOpen() function to use elsewhere if required  
* added: tools->repair category order for invalid category sort orders if required   
* fix: in certain circumstances category=!all shortcode resulted in repeat of menu items in last category  
5th January 2015  


2.11.5.9  
* added: add_to_cart_button shortcode. allows output of a button elsewhere to add an item to cart  
* added: optional element name to go to on forced page refresh when switching from pickup to delivery (and vice versa)    
19th December 2014  

2.11.5.8  
* tweak: header classes in loop templates filterable  
* tweak: article classes in loop templates filterable (and added -first and -last)  
* tweak: removed header class page-header and page-title from header in loop when more than one category displayed (in case themes mess around with this)  
* fix: loop responsive template. missing closing div in single item display.  
* fix: WPML orderpage not identified when wpml string translation not installed 
* fix: broke bestseller attribute when !all attribute was added in a previous version  
* fix: broke single attribute when !all attribute was added in a previous version  
* added: added WPPIZZA_ORDER_DETAILS class (for future use to simplify getting order details, not yet for production or indeed used anywhere)  
16th December 2014  

2.11.5.7  
* bugfix: Discounts not always correctly identified when excluding selected menu items and/or categories to calculate discount  
* added: ability to also use shortcodes in (custom) posts as opposed to just pages (although not recommended or indeed futher supported)  
* added: checkout attribute to [wppizza type='totals'] shortcode (wrapping all into href link) to allow going to orderpage from there 
8th December 2014  


2.11.5.6  
* bugfix: some gateway the_content filters directly output the string as opposed to returning it  
* tweak: using first half of email address (before the @) as name in email headers when no name has been supplied (as opposed to using ---- )  
26th November 2014  

2.11.5.5  
* added filter to email sending options (wppizza_filter_order_email_options)   
* added DMARC notice in admin page  
13th November 2014  

2.11.5.4  
* added some more filters to html email template   
11th November 2014  

2.11.5.3  
* better filtering of title tag to get rid of "WPPizza Categories" string   
6th November 2014  

2.11.5.2  
* updated spanish language  
* added option to dequeue scripts (wppizza->settings)  
* Some maintenance 
6th November 2014  

2.11.5.1  
* added attribute (itemcount=[left|right]) to wppizza type=totals shortcode  
* fix: loop template was loaded 2x when using shortcode attribute !all AND having a customised version in theme directory  
* fix: some php notices eliminated  
* improved mobile devices usability somewhat when allowing quantities to be changed via input field  
* internal: now also passing cart variables to js cart refresh function  
31st October 2014  

2.11.5  
* fix: wrong submit button label in confirmation page  
* admin: added exclude categories/items when calculating discounts  
* admin: added exclude categories when calculating delivery charges  
* admin: minor admin text changes  
* admin: added chosen.js library for multiselects  
* added filter for delivery charges     
* added missing translations for order history status (admin)  
* stopped accidental submitting order when changing quantities and hitting enter key. this will now trigger update of quantities instead.  
* readme.txt tidyup  
29th October 2014  

2.11.4    
* updated language files  
* replaced erroneously hardcoded WPPizza with WPPIZZA_NAME constant in a couple of places  
* added: optional text (set in localization) that can be displayed on initial order page (before submitting) prior to other order details  
* some admin css tweaks  
* added shortcode to just display totals (see faq->shortcodes)  
27th October 2014  


2.11.3    
* added paymentstatus_userid(payment_status,wp_user_id) index on orders table  
* added some more action/filter hooks to order, confirmation, history , email , opening times and cart templates  
* added filter (wppizza_filter_order_ini_add_vars) to be able to add additional parameters to wppizza_orders order_ini field  
* added system info to wppizza->tools to aid debuggging  
* added enabling of wp_cron schedule to clean up orders table periodically (wppizza->tools)   
23rd October 2014


2.11.2.3  
* added action to order page (wppizza_order_after_field_'.$elmKey.'')  
* minor css tweaks to menu item title in loop when using default layout  (i.e changed display:inline;display:inline-block; to just display:inline;)  
* general maintenance  
16th October 2014  


2.11.2.2  
* added german translation  
* stopped exiting of dashboard functions when php <5.3 (athough it clearly states a min version of php 5.3 required)  
* some minor css tweaks  
13th October 2014  


2.11.2.1    
* MAINTENANCE - nothing dramatic  
* added missing option variable to wppizza_filter_plaintextemail_item_markup to avoid some phpnotices    
* added option to select order by hash when setting a payment to failed in method wppizza_gateway_order_payment_failed to allow us to save some unnecessary db selects in payment gateways (if required)  
* added conditional to not display header either in loop if found_post<=0  
9th October 2014  


2.11.2    
* added more shortcode options to order history display (see shortcodes in faqs)  
* added more shortcode options for category display to - for example - select all or comma separated list of categories in a single shortcode (see shortcodes in faqs)  
* added title attribute on additives in loop  
* added and using permalinks filter  to be able to add item more reliably to the correct category when "group by category" has been enabled and item belongs to more than one category  
* added hidden input (used when group by category has been enabled) via action hook instead of it being hardcoded into loop templates  
* added more parameters (slug, categoryid, options) to all action hooks in loop templates  
* added notice when using php <5.3 in reports 
* reformatted opening hours widget/shortcode output a little bit to also account for sunday weekstart in a somewhat more sensible manner   
* prevent accidental double click on order submit button  
* tidy up in loop templates (using include/require for consistency)  
* set "*" before additives in loop to be css controlled instead of hardcoded  
* minor css tweaks  
7th October 2014  



2.11.1.2    
* fix: javascript error when switching from self pickup to delivery (and vice versa)  
30th September 2014  

2.11.1.1    
* fix: emails could not be sent if setting a fixed from address but not enabling email field to be present on order form when using phpmailer  
* added distinct error message for email formfield (as opposed to just "this is a required field")  
23th September 2014  


2.11.1    
JUST SOME GENERAL INTERNAL FILTERS, METHODS AND ACTION HOOKS ADDITIONS (USER REQUESTS) - NOTHING MAJOR
* added filter - wppizza_filter_order_summary_exclude_item_from_count -  to order summary function (affecting cart and order etc) that lets the total count of items (used for calculating delivery charges on a per item basis ) be filtered  
* added action hook - wppizza_gateway_button_append_{gatewayIdent} - that could be used to print stuff/formfields after a specific gateway button (if not using dropdown for gateway selection) 
* added method to gateway class  - wppizza_gateway_append_formfields - to output/append a passed formfields array suitably html formatted (labels/required/input etc) somewhere (for example i conjunction with  wppizza_gateway_button_append_{gatewayIdent} hook  
* maintenence: load gateway classes and variables conditionally in admin and frontend  
19th September 2014  
 
2.11    
* added 'EXPIRED' ENUM value to wppizza_orders table payment_status field   
* added filter to payment method fieldset "wppizza_filter_paymentmethod_confirmation" on confirmation page that could be used if required  
* added action (wppizza_pickup_toggle,true/false) that runs after selection of pickup/no-pickup selection changes  
* added (missing) filter for menu item meta data in ajax requests "wppizza_filter_loop_meta_ajax,$meta,$id" that - most probably - would be used in conjunction with "wppizza_filter_loop_meta,$meta,$id"  
* added some more gateway functions for ease of use in future gateway development    
* added option that forces the user to confirm or cancel (rather than just clicking ok) when changing from pickup to delivery and vice versa  
* added third argument ($items) to relevant do_action hooks in "wppizza-show-order.php" template  
* maintenance/internal: as per gettext/wp guidelines loading textdomain on init as opposed to in __construct  
* more consistent saving of userdata sessions  
* made gateway that use overlays for example as opposed to redirect also work when using confirmation page  
* maintenance/internal: some possible phpnotices on first gateway activations/installations fixed  
* WPML: added missing confirmation form strings (on confirmation page if used) to WPML string translation  
* WPML: fixed spinner (updating quantities on order page) not displaying in secondary languages when using WPML  
* WPML: customer value labels (telephone, address etc for example ) are also now being sent/shown in the right language in emails and on thankyou pages etc  
* WPML: automatically register all relevant gateway extensions settings in wpml string translation  
* WPML: maintenance/internal: eliminated (wpml related) variable that more or less duplicated all the option data (should help memory consumption somewhat)  
* WPML: maintenance/internal: changed registration and translation of wpml strings to automatically register any gateway strings and only load those on order page (saves a few unnecessary queries on some pages)   
* WPML: maintenance/internal: using if(function_exists('icl_translate')) BEFORE including wpml related files to avoid unnecessary file access calls  
* WPML: maintenance/internal: using require_once (as opposed to require) if possible/appropriate for wpml includes (mainly admin registration of wpml strings) to reduce database queries  
* WPML: Note: this whole WPML thing is getting a bit unwieldy/messy now and should at some point be re-factured (However, that's quite a big job, so no ETA yet, as it all seems to work for the time being)  
15th September 2014  